
Katello - Bug #7151

hammer host-collection create/update ignores content-host-ids

08/19/2014 10:56 AM - dustin tsang

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Hammer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1131238 Red Hat JIRA:  

Pull request: https://github.com/Katello/hammer-cli-kat

ello/pull/227

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1131238

Description of problem:

hammer host-collection create/update ignores content-host-ids

Version-Release number of selected component (if applicable):

GA Snap 5 - Satellite-6.0.4-RHEL-6-20140813.2

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.9.23-1.el6_5.noarch

candlepin-common-1.0.1-1.el6_5.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.9.23-1.el6_5.noarch

candlepin-tomcat6-0.9.23-1.el6_5.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.6.0.40-1.el6sat.noarch

foreman-compute-1.6.0.40-1.el6sat.noarch

foreman-gce-1.6.0.40-1.el6sat.noarch

foreman-libvirt-1.6.0.40-1.el6sat.noarch

foreman-ovirt-1.6.0.40-1.el6sat.noarch

foreman-postgresql-1.6.0.40-1.el6sat.noarch

foreman-proxy-1.6.0.27-1.el6sat.noarch

foreman-selinux-1.6.0.6-1.el6sat.noarch

foreman-vmware-1.6.0.40-1.el6sat.noarch

katello-1.5.0-28.el6sat.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.6-1.el6sat.noarch

katello-installer-0.0.59-1.el6sat.noarch

openldap-2.4.23-34.el6_5.1.x86_64

openldap-devel-2.4.23-34.el6_5.1.x86_64

pulp-katello-0.3-3.el6sat.noarch

pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch

pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch

pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch

pulp-selinux-2.4.0-0.30.beta.el6sat.noarch

pulp-server-2.4.0-0.30.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch

How reproducible:
Always

Steps to Reproduce:

hammer> host-collection create --name='testbughc' --organization-id=3

--content-host-ids='dbd5c88a-7ce6-45f5-bcdf-579564738ec4,87c7c1cd-b01f-479f-a3e2-558455272b7c'

Host collection created

hammer> host-collection update --name='testbughc' --organization-id=3

--content-host-ids='dbd5c88a-7ce6-45f5-bcdf-579564738ec4,87c7c1cd-b01f-479f-a3e2-558455272b7c'

Host collection updated

Both the commands above failed to associate the content-hosts to host-collections

Actual results:

host-collection create did not associate the content-hosts to host-collection

Expected results:

host-collection should associate the content-hosts to host-collection

Additional info:

Associated revisions

Revision 51479cbd - 08/19/2014 11:03 AM - dustin tsang

Fixes #7151 - hc create/update --content-hosts

host-collection create and update are ignoring --content-hosts because

ability to alias resource names from systems to host-collections (this

causes the option names to change).

Revision 1e4bb306 - 08/19/2014 11:15 AM - dustin tsang

Merge pull request #227 from dustint-rh/hc_cr_up_hcs

Fixes #7151 - hc create/update --content-hosts

History

#1 - 08/19/2014 11:15 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 59

- Pull request https://github.com/Katello/hammer-cli-katello/pull/227 added

- Pull request deleted ()

#2 - 08/19/2014 12:01 PM - dustin tsang

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset hammer-cli-katello|51479cbdfdd57e0ec1c17ad3fe9a75c967939e1c.

#3 - 08/19/2014 03:13 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 08/20/2014 08:20 AM - Eric Helms

- Target version changed from 59 to 55

#5 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
